% IC10107.m4
.PS
  ifdef(`NOR_gate',,`include(HOMELIB_`'liblog.m4)')
  cct_init

right_
  jog = 2*NOT_rad
  hst = AND_wd*L_unit*1.6
B: box invis wid hst*3.75 ht hst*2.5
  hu = B.wid/3.75
  line from B.w+(0,hst*0.1) to B.nw then to B.ne then to B.se then to B.sw \
    then to B.w-(0,hst*0.1)
  arc ccw from B.w+(0,-hst*0.1) to B.w+(0,hst*0.1) with .c at B.w
  for i = 1 to 8 do {
    exec sprintf("P%g: line down jog from B.sw+(hu/8,0)+((i-1)*hu/2,0)",i)
    sprintf("\small\sf%g",i) below
    line up jog from B.ne-(hu/8,0)-((i-1)*hu/2,0)
    exec sprintf("P%g: line up jog from B.ne-(hu/8,0)-((i-1)*hu/2,0)",8+i)
    sprintf("\small\sf%g",8+i) above }
G1: OR_gen(2,PIBANEONSEC) with .Out at P12.x-jog,B.y+B.ht/4
G2: OR_gen(2,PIBANNEOSEC) with .Out at B.e.x-3*jog,B.y
  left_
G3: OR_gen(2,PIBANEONSEC) with .NE at P3.x,B.y-B.ht/4-AND_ht/6*L_unit

  line from G3.N_NSE.w to (P2,G3.N_NSE) then to P2.start
  line from P3 to G3.NE
  line right jog from G3.In1 then down 2*jog; contline to (P4,Here) then to P4
  line from G3.In2 to (P5,G3.In2) then to P5

  line from G2.In2 left jog then down 2*jog; contline to (P9,Here) then to P9
  line from G2.In1 left jog*2 then down G2.In1.y-G2.In2.y+3*jog
  contline to (P7,Here) then to P7
  line from G2.SE right NOT_rad+2*jog then up B.n.y-jog-G2.SE.y
  contline to (P10,Here) then to P10
  line from G2.N_NNE.e right jog then up B.n.y-2*jog-G2.N_NNE.y
  contline to (P11,Here) then to P11

  line from P12 to (P12,G1.N_NSE) then to G1.N_NSE.e
  line from G1.NE right jog then up 2*jog; contline to (P13,Here) then to P13
  line from G1.In1 to (P14,G1.In1) then to P14
  line from G1.In2 to (P15,G1.In2) then to P15

.PE
